%define name cxref
%define version 1.5b
%define release 1mdk

Summary: C program cross-referencing & documentation tool
Summary(fr): Outil d'extraction de documentation a partir de sources C
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Tools
Source: %{name}-%{version}.tar.bz2
Buildroot: /tmp/%{name}-root
Packager: Lenny Cartier (lenny@mandrakesoft.com)
Distribution: Mandrake

%description
A program that takes as input a series of C source files
and produces a LaTeX or HTML document containing a cross
reference of the files/functions/variables in the program,
including documentation taken from suitably formatted
source code comments.
The documentation is stored in the C source file in
specially formatted comments, making it simple to maintain.
The cross referencing includes lists of functions called,
callers of each function, usage of global variables, header
file inclusion, macro definitions and type definitions.
Works for ANSI C, including many gcc extensions.

%description -l fr
Un programme qui prend comme entree une serie de fichiers sources C et qui
produit un document LaTeX ou HTML contenant une reference croisee des fichiers,
fonctions et variables dans le programme, incluant de la documentation tiree
des commentaires presents dans le source.


%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-us-paper
make
make docs


%install
make install prefix=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
%doc /usr/man/man1/*

%changelog

* Tue Oct 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptation for Mandrake

* Mon Oct 18 1999 Richard Jackson <richardj@1gig.net>
- initial RPM build



